Profile
curl --request GET \
--url https://api.sociavault.com/v1/scrape/twitter/profile \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/twitter/profile"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/twitter/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"__typename": "User",
"id": "VXNlcjoyMjE4MzgzNDk=",
"rest_id": "221838349",
"affiliates_highlighted_label": {
"label": {
"url": {
"url": "https://twitter.com/gauntletai",
"urlType": "DeepLink"
},
"badge": {
"url": "https://pbs.twimg.com/profile_images/1978528804009132032/dLTATus4_bigger.jpg"
},
"description": "Gauntlet AI",
"userLabelType": "BusinessLabel",
"userLabelDisplayType": "Badge"
}
},
"avatar": {
"image_url": "https://pbs.twimg.com/profile_images/2016256482833035264/kVHK8w3e_normal.jpg"
},
"core": {
"created_at": "Wed Dec 01 19:13:23 +0000 2010",
"name": "Austen Allred",
"screen_name": "Austen"
},
"dm_permissions": {},
"is_blue_verified": true,
"legacy": {
"created_at": "Wed Dec 01 19:13:23 +0000 2010",
"name": "Austen Allred",
"screen_name": "Austen",
"default_profile": false,
"default_profile_image": false,
"description": "Founder https://t.co/m6TigM4CJT: Free AI training for the smartest engineers. Will tweet as I wish and suffer the consequences. Accelerando: @kellyclaudeai",
"entities": {
"description": {
"urls": {
"0": {
"display_url": "GauntletAI.com",
"expanded_url": "http://GauntletAI.com",
"url": "https://t.co/m6TigM4CJT",
"indices": {
"0": 8,
"1": 31
}
}
}
},
"url": {
"urls": {
"0": {
"display_url": "gauntletai.com",
"expanded_url": "http://gauntletai.com",
"url": "https://t.co/nCe0AdSANw",
"indices": {
"0": 0,
"1": 23
}
}
}
}
},
"fast_followers_count": 0,
"favourites_count": 90858,
"followers_count": 445198,
"friends_count": 1423,
"has_custom_timelines": true,
"is_translator": false,
"listed_count": 4210,
"media_count": 4828,
"normal_followers_count": 445198,
"pinned_tweet_ids_str": {
"0": "2020629611831599394"
},
"possibly_sensitive": false,
"profile_banner_url": "https://pbs.twimg.com/profile_banners/221838349/1622098809",
"profile_interstitial_type": "",
"statuses_count": 55212,
"translator_type": "regular",
"url": "https://t.co/nCe0AdSANw",
"withheld_in_countries": {},
"location": "Austin, TX",
"profile_image_url_https": "https://pbs.twimg.com/profile_images/2016256482833035264/kVHK8w3e_normal.jpg"
},
"location": {
"location": "Austin, TX"
},
"media_permissions": {},
"parody_commentary_fan_label": "None",
"profile_image_shape": "Circle",
"privacy": {
"protected": false
},
"relationship_perspectives": {},
"tipjar_settings": {
"is_enabled": false,
"bandcamp_handle": "",
"bitcoin_handle": "",
"cash_app_handle": "",
"ethereum_handle": "",
"gofundme_handle": "",
"patreon_handle": "",
"pay_pal_handle": "",
"venmo_handle": ""
},
"verification": {
"verified": false
},
"legacy_extended_profile": {},
"is_profile_translatable": false,
"has_hidden_subscriptions_on_profile": true,
"verification_info": {
"is_identity_verified": false,
"reason": {
"description": {
"text": "This account is verified because it's an affiliate of @gauntletai on X. Learn more",
"entities": {
"0": {
"from_index": 54,
"to_index": 65,
"ref": {
"url": "https://twitter.com/gauntletai",
"url_type": "ExternalUrl"
}
},
"1": {
"from_index": 72,
"to_index": 82,
"ref": {
"url": "https://help.twitter.com/en/rules-and-policies/profile-labels",
"url_type": "ExternalUrl"
}
}
}
},
"verified_since_msec": "1473330227634"
}
},
"highlights_info": {
"can_highlight_tweets": true,
"highlighted_tweets": "878"
},
"user_seed_tweet_count": 1,
"business_account": {},
"creator_subscriptions_count": 4
},
"credits_used": 1,
"endpoint": "twitter/profile"
}{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}Twitter
Profile
Get Twitter profile information including stats and metadata
GET
/
v1
/
scrape
/
twitter
/
profile
Profile
💳 1 credit per request
Authorizations
Query Parameters
Twitter handle
Example:
"Austen"
Response
Successful response
Key Response Fields:
rest_id: User's numeric ID stringcore.name/core.screen_name: Display name and @handlecore.created_at: Account creation dateis_blue_verified: Whether the account has a blue checkmarklegacy.followers_count: Total follower countlegacy.friends_count: Number of accounts the user followslegacy.favourites_count: Total likes countlegacy.statuses_count: Total tweet countlegacy.media_count: Total media posts countlegacy.description: Bio textlegacy.location: Profile location stringlegacy.profile_image_url_https: Profile picture URLlegacy.profile_banner_url: Banner image URLavatar.image_url: Profile avatar URLverification.verified: Legacy verified statusaffiliates_highlighted_label: Affiliated organization badge info
⌘I